Subject: [PATCH 0/3] Drop more omap3 legacy board-*.c files for v4.2

From: [email-masked] (Tony Lindgren)
Date: Tue, 5 May 2015 08:06:38 -0700

* Pali Roh?r <[email-masked]> [150505 07:55]:
> On Tuesday 05 May 2015 07:43:08 Tony Lindgren wrote:
> > * Arnd Bergmann <[email-masked]> [150505 03:56]:
> > > On Monday 04 May 2015 13:01:54 Tony Lindgren wrote:
> > > > 
> > > > For dropping the remaining omap3 legacy boot support, we still
> > > > have the following board-*.c files:
> > > > 
> > > > BOARD                   REASON NEEDED
> > > > board-ldp.c             Still used in RMKs boot test system
> > > > board-omap3logic.c      Getting a .dts file for v4.2
> > > > board-omap3pandora.c    Got a .dts file for v4.1
> > > > board-rx51-*.c          Needs /proc/atags support for user space
> > > > 
> > > > I'm hoping we can drop those for v4.3 merge window, then keep
> > > > the platform data around for one more merge window in case of
> > > > reverting needed, then drop the platform data too for v4.4
> > > > if no issues needing reverting are found.
> > > 
> > > Sounds great. Has there been a conclusion about what to do for the
> > > rx51 /proc/atags support?
> > 
> > I believe we just need to enable /proc/atags also for device tree
> > based booting if CONFIG_ARM_ATAG_DTB_COMPAT. Pali may have more
> > info on that.
> > 
> > Then looks like Pali's two patches for showing the revision are
> > still pending in thread "[PATCH v2 0/2] ARM: /proc/cpuinfo: DT:
> > Add support for Revision":
> > 
> > http://www.spinics.net/lists/arm-kernel/msg401535.html
> 
> I think I already sent all need patches to ML. But I did not check if
> you merged them or not. I did not get any new comments for them for a
> while and right now I do not have time for looking at it again.

Oh OK, do you have link to the /proc/atags patch somewhere?

Maybe Arnd and Nico can pick them up and sort out how we should
queue them with Russell?
 
> I'm against removing board-rx51*.c files before /proc/cpuinfo and
> /proc/atags will be available also for DT booted machine...

I agree those should be supported also for DT based booting.
 
> Plus there were some other regression for DT booted N900 (not only /proc
> files), but I do not remember them now. I sent more emails where I
> wrote it. Maybe it is fixed, maybe not, just search into archive for my
> emails.

OK
 
> I can try to find some time at the weekend (this or next) to test
> 4.1-rc* kernel on N900 and report what is working...

Regards,

Tony